Models
Get the agent's model selection + capabilities
GET
/
public
/
api
/
v1
/
agents
/
{agentPublicId}
/
model
Get the agent's model selection + capabilities
curl --request GET \
--url https://api.gennia.ai/public/api/v1/agents/{agentPublicId}/model \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.gennia.ai/public/api/v1/agents/{agentPublicId}/model"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.gennia.ai/public/api/v1/agents/{agentPublicId}/model', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"aiModelName": "<string>",
"aiModelPublicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"capabilities": {
"contextWindow": 123,
"maxTemperature": 123,
"minTemperature": 123,
"supportsDocument": true,
"supportsImage": true,
"supportsTemperature": true,
"supportsThinking": true
},
"modelId": "<string>",
"provider": "<string>",
"temperature": 123,
"thinkingEffort": "<string>",
"thinkingEnabled": true
}{
"aiModelName": "<string>",
"aiModelPublicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"capabilities": {
"contextWindow": 123,
"maxTemperature": 123,
"minTemperature": 123,
"supportsDocument": true,
"supportsImage": true,
"supportsTemperature": true,
"supportsThinking": true
},
"modelId": "<string>",
"provider": "<string>",
"temperature": 123,
"thinkingEffort": "<string>",
"thinkingEnabled": true
}{
"aiModelName": "<string>",
"aiModelPublicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"capabilities": {
"contextWindow": 123,
"maxTemperature": 123,
"minTemperature": 123,
"supportsDocument": true,
"supportsImage": true,
"supportsTemperature": true,
"supportsThinking": true
},
"modelId": "<string>",
"provider": "<string>",
"temperature": 123,
"thinkingEffort": "<string>",
"thinkingEnabled": true
}Autorizações
Parâmetros de caminho
Esta página foi útil?
Anterior
Update the agent's model selectionShortcut over PATCH /agents/{id} for aiModelPublicId, temperature, thinkingEnabled and thinkingEffort. Validates temperature against the resolved model when both arrive in the same body.
Próximo
⌘I
Get the agent's model selection + capabilities

